;***************************************************************
;* TMS320C2000 G3 C/C++ Codegen                               PC v20.2.1.LTS *
;* Date/Time created: Sun Jan  2 15:50:47 2022                 *
;***************************************************************
	.compiler_opts --abi=eabi --float_support=fpu64 --hll_source=on --mem_model:code=flat --mem_model:data=large --object_format=elf --silicon_errata_fpu1_workaround=off --silicon_version=28 --symdebug:dwarf --symdebug:dwarf_version=4 --tmu_support=tmu0 
	.asg	XAR2, FP

$C$DW$CU	.dwtag  DW_TAG_compile_unit
	.dwattr $C$DW$CU, DW_AT_name("C:/Users/JakubSmykla/Documents/GitHub/OTMR_Collector/untitledf28388_ert_rtw/ert_main.c")
	.dwattr $C$DW$CU, DW_AT_producer("TI TMS320C2000 G3 C/C++ Codegen PC v20.2.1.LTS Copyright (c) 1996-2018 Texas Instruments Incorporated")
	.dwattr $C$DW$CU, DW_AT_TI_version(0x01)
	.dwattr $C$DW$CU, DW_AT_comp_dir("C:\Users\JakubSmykla\Documents\GitHub\OTMR_Collector\untitledf28388_ert_rtw\CCS_Project\Debug")

$C$DW$1	.dwtag  DW_TAG_subprogram
	.dwattr $C$DW$1, DW_AT_name("enableTimer0Interrupt")
	.dwattr $C$DW$1, DW_AT_linkage_name("enableTimer0Interrupt")
	.dwattr $C$DW$1, DW_AT_declaration
	.dwattr $C$DW$1, DW_AT_external
	.dwattr $C$DW$1, DW_AT_decl_file("C:/ProgramData/MATLAB/SupportPackages/R2021a/toolbox/shared/supportpackages/tic2000/src/c2000SchedulerTimer.h")
	.dwattr $C$DW$1, DW_AT_decl_line(0x0b)
	.dwattr $C$DW$1, DW_AT_decl_column(0x06)
	.dwendtag $C$DW$1


$C$DW$2	.dwtag  DW_TAG_subprogram
	.dwattr $C$DW$2, DW_AT_name("untitledf28388_step")
	.dwattr $C$DW$2, DW_AT_linkage_name("untitledf28388_step")
	.dwattr $C$DW$2, DW_AT_declaration
	.dwattr $C$DW$2, DW_AT_external
	.dwattr $C$DW$2, DW_AT_decl_file("C:\Users\JakubSmykla\Documents\GitHub\OTMR_Collector\untitledf28388_ert_rtw\untitledf28388.h")
	.dwattr $C$DW$2, DW_AT_decl_line(0x46)
	.dwattr $C$DW$2, DW_AT_decl_column(0x0d)
	.dwendtag $C$DW$2


$C$DW$3	.dwtag  DW_TAG_subprogram
	.dwattr $C$DW$3, DW_AT_name("c2000_flash_init")
	.dwattr $C$DW$3, DW_AT_linkage_name("c2000_flash_init")
	.dwattr $C$DW$3, DW_AT_declaration
	.dwattr $C$DW$3, DW_AT_external
	.dwattr $C$DW$3, DW_AT_decl_file("C:/ProgramData/MATLAB/SupportPackages/R2021a/toolbox/shared/supportpackages/tic2000/src/c2000BoardSupport.h")
	.dwattr $C$DW$3, DW_AT_decl_line(0x1c)
	.dwattr $C$DW$3, DW_AT_decl_column(0x0d)
	.dwendtag $C$DW$3


$C$DW$4	.dwtag  DW_TAG_subprogram
	.dwattr $C$DW$4, DW_AT_name("init_board")
	.dwattr $C$DW$4, DW_AT_linkage_name("init_board")
	.dwattr $C$DW$4, DW_AT_declaration
	.dwattr $C$DW$4, DW_AT_external
	.dwattr $C$DW$4, DW_AT_decl_file("C:/ProgramData/MATLAB/SupportPackages/R2021a/toolbox/shared/supportpackages/tic2000/src/c2000BoardSupport.h")
	.dwattr $C$DW$4, DW_AT_decl_line(0x1b)
	.dwattr $C$DW$4, DW_AT_decl_column(0x0d)
	.dwendtag $C$DW$4


$C$DW$5	.dwtag  DW_TAG_subprogram
	.dwattr $C$DW$5, DW_AT_name("untitledf28388_initialize")
	.dwattr $C$DW$5, DW_AT_linkage_name("untitledf28388_initialize")
	.dwattr $C$DW$5, DW_AT_declaration
	.dwattr $C$DW$5, DW_AT_external
	.dwattr $C$DW$5, DW_AT_decl_file("C:\Users\JakubSmykla\Documents\GitHub\OTMR_Collector\untitledf28388_ert_rtw\untitledf28388.h")
	.dwattr $C$DW$5, DW_AT_decl_line(0x45)
	.dwattr $C$DW$5, DW_AT_decl_column(0x0d)
	.dwendtag $C$DW$5


$C$DW$6	.dwtag  DW_TAG_subprogram
	.dwattr $C$DW$6, DW_AT_name("globalInterruptDisable")
	.dwattr $C$DW$6, DW_AT_linkage_name("globalInterruptDisable")
	.dwattr $C$DW$6, DW_AT_declaration
	.dwattr $C$DW$6, DW_AT_external
	.dwattr $C$DW$6, DW_AT_decl_file("C:/ProgramData/MATLAB/SupportPackages/R2021a/toolbox/shared/supportpackages/tic2000/src/c2000BoardSupport.h")
	.dwattr $C$DW$6, DW_AT_decl_line(0x1a)
	.dwattr $C$DW$6, DW_AT_decl_column(0x0d)
	.dwendtag $C$DW$6


$C$DW$7	.dwtag  DW_TAG_subprogram
	.dwattr $C$DW$7, DW_AT_name("configureTimer0")
	.dwattr $C$DW$7, DW_AT_linkage_name("configureTimer0")
	.dwattr $C$DW$7, DW_AT_declaration
	.dwattr $C$DW$7, DW_AT_external
	.dwattr $C$DW$7, DW_AT_decl_file("C:/ProgramData/MATLAB/SupportPackages/R2021a/toolbox/shared/supportpackages/tic2000/src/c2000SchedulerTimer.h")
	.dwattr $C$DW$7, DW_AT_decl_line(0x09)
	.dwattr $C$DW$7, DW_AT_decl_column(0x06)
$C$DW$8	.dwtag  DW_TAG_formal_parameter
	.dwattr $C$DW$8, DW_AT_type(*$C$DW$T$16)

$C$DW$9	.dwtag  DW_TAG_formal_parameter
	.dwattr $C$DW$9, DW_AT_type(*$C$DW$T$16)

	.dwendtag $C$DW$7


$C$DW$10	.dwtag  DW_TAG_subprogram
	.dwattr $C$DW$10, DW_AT_name("globalInterruptEnable")
	.dwattr $C$DW$10, DW_AT_linkage_name("globalInterruptEnable")
	.dwattr $C$DW$10, DW_AT_declaration
	.dwattr $C$DW$10, DW_AT_external
	.dwattr $C$DW$10, DW_AT_decl_file("C:/ProgramData/MATLAB/SupportPackages/R2021a/toolbox/shared/supportpackages/tic2000/src/c2000BoardSupport.h")
	.dwattr $C$DW$10, DW_AT_decl_line(0x19)
	.dwattr $C$DW$10, DW_AT_decl_column(0x0d)
	.dwendtag $C$DW$10


$C$DW$11	.dwtag  DW_TAG_subprogram
	.dwattr $C$DW$11, DW_AT_name("untitledf28388_terminate")
	.dwattr $C$DW$11, DW_AT_linkage_name("untitledf28388_terminate")
	.dwattr $C$DW$11, DW_AT_declaration
	.dwattr $C$DW$11, DW_AT_external
	.dwattr $C$DW$11, DW_AT_decl_file("C:\Users\JakubSmykla\Documents\GitHub\OTMR_Collector\untitledf28388_ert_rtw\untitledf28388.h")
	.dwattr $C$DW$11, DW_AT_decl_line(0x47)
	.dwattr $C$DW$11, DW_AT_decl_column(0x0d)
	.dwendtag $C$DW$11

	.global	||IsrOverrun||
	.data
	.align	1
	.elfsym	||IsrOverrun||,SYM_SIZE(1),SYM_BLOCKED(1)
||IsrOverrun||:
	.bits		0,16
			; IsrOverrun @ 0

$C$DW$12	.dwtag  DW_TAG_variable
	.dwattr $C$DW$12, DW_AT_name("IsrOverrun")
	.dwattr $C$DW$12, DW_AT_linkage_name("IsrOverrun")
	.dwattr $C$DW$12, DW_AT_location[DW_OP_addr ||IsrOverrun||]
	.dwattr $C$DW$12, DW_AT_type(*$C$DW$T$29)
	.dwattr $C$DW$12, DW_AT_external
	.dwattr $C$DW$12, DW_AT_decl_file("C:/Users/JakubSmykla/Documents/GitHub/OTMR_Collector/untitledf28388_ert_rtw/ert_main.c")
	.dwattr $C$DW$12, DW_AT_decl_line(0x13)
	.dwattr $C$DW$12, DW_AT_decl_column(0x0e)

	.data
	.align	1
	.elfsym	||OverrunFlag||,SYM_SIZE(1),SYM_BLOCKED(1)
||OverrunFlag||:
	.bits		0,16
			; OverrunFlag @ 0

$C$DW$13	.dwtag  DW_TAG_variable
	.dwattr $C$DW$13, DW_AT_name("OverrunFlag")
	.dwattr $C$DW$13, DW_AT_linkage_name("OverrunFlag")
	.dwattr $C$DW$13, DW_AT_type(*$C$DW$T$30)
	.dwattr $C$DW$13, DW_AT_location[DW_OP_addr ||OverrunFlag||]
	.dwattr $C$DW$13, DW_AT_decl_file("C:/Users/JakubSmykla/Documents/GitHub/OTMR_Collector/untitledf28388_ert_rtw/ert_main.c")
	.dwattr $C$DW$13, DW_AT_decl_line(0x14)
	.dwattr $C$DW$13, DW_AT_decl_column(0x12)

	.global	||stopRequested||
	.bss	||stopRequested||,1,1,0
$C$DW$14	.dwtag  DW_TAG_variable
	.dwattr $C$DW$14, DW_AT_name("stopRequested")
	.dwattr $C$DW$14, DW_AT_linkage_name("stopRequested")
	.dwattr $C$DW$14, DW_AT_location[DW_OP_addr ||stopRequested||]
	.dwattr $C$DW$14, DW_AT_type(*$C$DW$T$31)
	.dwattr $C$DW$14, DW_AT_external
	.dwattr $C$DW$14, DW_AT_decl_file("C:/Users/JakubSmykla/Documents/GitHub/OTMR_Collector/untitledf28388_ert_rtw/ert_main.c")
	.dwattr $C$DW$14, DW_AT_decl_line(0x26)
	.dwattr $C$DW$14, DW_AT_decl_column(0x14)

	.global	||runModel||
	.bss	||runModel||,1,1,0
$C$DW$15	.dwtag  DW_TAG_variable
	.dwattr $C$DW$15, DW_AT_name("runModel")
	.dwattr $C$DW$15, DW_AT_linkage_name("runModel")
	.dwattr $C$DW$15, DW_AT_location[DW_OP_addr ||runModel||]
	.dwattr $C$DW$15, DW_AT_type(*$C$DW$T$31)
	.dwattr $C$DW$15, DW_AT_external
	.dwattr $C$DW$15, DW_AT_decl_file("C:/Users/JakubSmykla/Documents/GitHub/OTMR_Collector/untitledf28388_ert_rtw/ert_main.c")
	.dwattr $C$DW$15, DW_AT_decl_line(0x27)
	.dwattr $C$DW$15, DW_AT_decl_column(0x14)


$C$DW$16	.dwtag  DW_TAG_subprogram
	.dwattr $C$DW$16, DW_AT_name("disableTimer0Interrupt")
	.dwattr $C$DW$16, DW_AT_linkage_name("disableTimer0Interrupt")
	.dwattr $C$DW$16, DW_AT_type(*$C$DW$T$32)
	.dwattr $C$DW$16, DW_AT_declaration
	.dwattr $C$DW$16, DW_AT_external
	.dwattr $C$DW$16, DW_AT_decl_file("C:/ProgramData/MATLAB/SupportPackages/R2021a/toolbox/shared/supportpackages/tic2000/src/c2000SchedulerTimer.h")
	.dwattr $C$DW$16, DW_AT_decl_line(0x0c)
	.dwattr $C$DW$16, DW_AT_decl_column(0x06)
	.dwendtag $C$DW$16

$C$DW$17	.dwtag  DW_TAG_variable
	.dwattr $C$DW$17, DW_AT_name("untitledf28388_M")
	.dwattr $C$DW$17, DW_AT_linkage_name("untitledf28388_M")
	.dwattr $C$DW$17, DW_AT_type(*$C$DW$T$37)
	.dwattr $C$DW$17, DW_AT_declaration
	.dwattr $C$DW$17, DW_AT_external
	.dwattr $C$DW$17, DW_AT_decl_file("C:\Users\JakubSmykla\Documents\GitHub\OTMR_Collector\untitledf28388_ert_rtw\untitledf28388.h")
	.dwattr $C$DW$17, DW_AT_decl_line(0x4a)
	.dwattr $C$DW$17, DW_AT_decl_column(0x29)

	.sblock	".bss"
	.sblock	".data"
;	C:\PROGRA~3\MATLAB\SUPPOR~1\R2021a\3P778C~1.INS\TIC200~1.INS\ti-cgt-c2000_20.2.1.LTS\bin\acia2000.exe -@C:\\Users\\JAKUBS~1\\AppData\\Local\\Temp\\{3F50D215-1B7E-49F5-816A-3E8A4677DF52} 
	.sect	".text"
	.clink
	.global	||rt_OneStep||

$C$DW$18	.dwtag  DW_TAG_subprogram
	.dwattr $C$DW$18, DW_AT_name("rt_OneStep")
	.dwattr $C$DW$18, DW_AT_low_pc(||rt_OneStep||)
	.dwattr $C$DW$18, DW_AT_high_pc(0x00)
	.dwattr $C$DW$18, DW_AT_linkage_name("rt_OneStep")
	.dwattr $C$DW$18, DW_AT_external
	.dwattr $C$DW$18, DW_AT_decl_file("C:/Users/JakubSmykla/Documents/GitHub/OTMR_Collector/untitledf28388_ert_rtw/ert_main.c")
	.dwattr $C$DW$18, DW_AT_decl_line(0x15)
	.dwattr $C$DW$18, DW_AT_decl_column(0x06)
	.dwattr $C$DW$18, DW_AT_TI_max_frame_size(-2)
	.dwpsn	file "C:/Users/JakubSmykla/Documents/GitHub/OTMR_Collector/untitledf28388_ert_rtw/ert_main.c",line 22,column 1,is_stmt,address ||rt_OneStep||,isa 0

	.dwfde $C$DW$CIE, ||rt_OneStep||
;----------------------------------------------------------------------
;  21 | void rt_OneStep(void)                                                  
;----------------------------------------------------------------------

;***************************************************************
;* FNAME: rt_OneStep                    FR SIZE:   0           *
;*                                                             *
;* FUNCTION ENVIRONMENT                                        *
;*                                                             *
;* FUNCTION PROPERTIES                                         *
;*                            0 Parameter,  0 Auto,  0 SOE     *
;***************************************************************

||rt_OneStep||:
	.dwcfi	cfa_offset, -2
	.dwcfi	save_reg_to_mem, 26, 0
	.dwpsn	file "C:/Users/JakubSmykla/Documents/GitHub/OTMR_Collector/untitledf28388_ert_rtw/ert_main.c",line 24,column 3,is_stmt,isa 0
;----------------------------------------------------------------------
;  24 | if (OverrunFlag++) {                                                   
;----------------------------------------------------------------------
        MOVW      DP,#||OverrunFlag||   ; [CPU_ARAU] 
        MOV       AL,@||OverrunFlag||   ; [CPU_ALU] |24| 
        INC       @||OverrunFlag||      ; [CPU_ALU] |24| 
        CMPB      AL,#0                 ; [CPU_ALU] |24| 
        B         ||$C$L1||,EQ          ; [CPU_ALU] |24| 
        ; branchcc occurs ; [] |24| 
	.dwpsn	file "C:/Users/JakubSmykla/Documents/GitHub/OTMR_Collector/untitledf28388_ert_rtw/ert_main.c",line 25,column 5,is_stmt,isa 0
;----------------------------------------------------------------------
;  25 | IsrOverrun = 1;                                                        
;----------------------------------------------------------------------
        MOVB      @||IsrOverrun||,#1,UNC ; [CPU_ALU] |25| 
	.dwpsn	file "C:/Users/JakubSmykla/Documents/GitHub/OTMR_Collector/untitledf28388_ert_rtw/ert_main.c",line 26,column 5,is_stmt,isa 0
;----------------------------------------------------------------------
;  26 | OverrunFlag--;                                                         
;----------------------------------------------------------------------
        DEC       @||OverrunFlag||      ; [CPU_ALU] |26| 
	.dwpsn	file "C:/Users/JakubSmykla/Documents/GitHub/OTMR_Collector/untitledf28388_ert_rtw/ert_main.c",line 27,column 5,is_stmt,isa 0
;----------------------------------------------------------------------
;  27 | return;                                                                
;----------------------------------------------------------------------
        B         ||$C$L2||,UNC         ; [CPU_ALU] |27| 
        ; branch occurs ; [] |27| 
||$C$L1||:    
	.dwpsn	file "C:/Users/JakubSmykla/Documents/GitHub/OTMR_Collector/untitledf28388_ert_rtw/ert_main.c",line 30,column 3,is_stmt,isa 0
;----------------------------------------------------------------------
;  30 | enableTimer0Interrupt();                                               
;----------------------------------------------------------------------
$C$DW$19	.dwtag  DW_TAG_TI_branch
	.dwattr $C$DW$19, DW_AT_low_pc(0x00)
	.dwattr $C$DW$19, DW_AT_name("enableTimer0Interrupt")
	.dwattr $C$DW$19, DW_AT_TI_call

        LCR       #||enableTimer0Interrupt|| ; [CPU_ALU] |30| 
        ; call occurs [#||enableTimer0Interrupt||] ; [] |30| 
	.dwpsn	file "C:/Users/JakubSmykla/Documents/GitHub/OTMR_Collector/untitledf28388_ert_rtw/ert_main.c",line 31,column 3,is_stmt,isa 0
;----------------------------------------------------------------------
;  31 | untitledf28388_step();                                                 
;----------------------------------------------------------------------
$C$DW$20	.dwtag  DW_TAG_TI_branch
	.dwattr $C$DW$20, DW_AT_low_pc(0x00)
	.dwattr $C$DW$20, DW_AT_name("untitledf28388_step")
	.dwattr $C$DW$20, DW_AT_TI_call

        LCR       #||untitledf28388_step|| ; [CPU_ALU] |31| 
        ; call occurs [#||untitledf28388_step||] ; [] |31| 
	.dwpsn	file "C:/Users/JakubSmykla/Documents/GitHub/OTMR_Collector/untitledf28388_ert_rtw/ert_main.c",line 34,column 3,is_stmt,isa 0
;----------------------------------------------------------------------
;  34 | disableTimer0Interrupt();                                              
;----------------------------------------------------------------------
$C$DW$21	.dwtag  DW_TAG_TI_branch
	.dwattr $C$DW$21, DW_AT_low_pc(0x00)
	.dwattr $C$DW$21, DW_AT_name("disableTimer0Interrupt")
	.dwattr $C$DW$21, DW_AT_TI_call

        LCR       #||disableTimer0Interrupt|| ; [CPU_ALU] |34| 
        ; call occurs [#||disableTimer0Interrupt||] ; [] |34| 
	.dwpsn	file "C:/Users/JakubSmykla/Documents/GitHub/OTMR_Collector/untitledf28388_ert_rtw/ert_main.c",line 35,column 3,is_stmt,isa 0
;----------------------------------------------------------------------
;  35 | OverrunFlag--;                                                         
;----------------------------------------------------------------------
        MOVW      DP,#||OverrunFlag||   ; [CPU_ARAU] 
        DEC       @||OverrunFlag||      ; [CPU_ALU] |35| 
	.dwpsn	file "C:/Users/JakubSmykla/Documents/GitHub/OTMR_Collector/untitledf28388_ert_rtw/ert_main.c",line 36,column 1,is_stmt,isa 0
||$C$L2||:    
$C$DW$22	.dwtag  DW_TAG_TI_branch
	.dwattr $C$DW$22, DW_AT_low_pc(0x00)
	.dwattr $C$DW$22, DW_AT_TI_return

        LRETR     ; [CPU_ALU] 
        ; return occurs ; [] 
	.dwattr $C$DW$18, DW_AT_TI_end_file("C:/Users/JakubSmykla/Documents/GitHub/OTMR_Collector/untitledf28388_ert_rtw/ert_main.c")
	.dwattr $C$DW$18, DW_AT_TI_end_line(0x24)
	.dwattr $C$DW$18, DW_AT_TI_end_column(0x01)
	.dwendentry
	.dwendtag $C$DW$18

	.sect	".text"
	.clink
	.global	||main||

$C$DW$23	.dwtag  DW_TAG_subprogram
	.dwattr $C$DW$23, DW_AT_name("main")
	.dwattr $C$DW$23, DW_AT_low_pc(||main||)
	.dwattr $C$DW$23, DW_AT_high_pc(0x00)
	.dwattr $C$DW$23, DW_AT_linkage_name("main")
	.dwattr $C$DW$23, DW_AT_external
	.dwattr $C$DW$23, DW_AT_type(*$C$DW$T$10)
	.dwattr $C$DW$23, DW_AT_decl_file("C:/Users/JakubSmykla/Documents/GitHub/OTMR_Collector/untitledf28388_ert_rtw/ert_main.c")
	.dwattr $C$DW$23, DW_AT_decl_line(0x28)
	.dwattr $C$DW$23, DW_AT_decl_column(0x05)
	.dwattr $C$DW$23, DW_AT_TI_max_frame_size(-6)
	.dwpsn	file "C:/Users/JakubSmykla/Documents/GitHub/OTMR_Collector/untitledf28388_ert_rtw/ert_main.c",line 41,column 1,is_stmt,address ||main||,isa 0

	.dwfde $C$DW$CIE, ||main||
;----------------------------------------------------------------------
;  40 | int main(void)                                                         
;----------------------------------------------------------------------

;***************************************************************
;* FNAME: main                          FR SIZE:   4           *
;*                                                             *
;* FUNCTION ENVIRONMENT                                        *
;*                                                             *
;* FUNCTION PROPERTIES                                         *
;*                            0 Parameter,  4 Auto,  0 SOE     *
;***************************************************************

||main||:
	.dwcfi	cfa_offset, -2
	.dwcfi	save_reg_to_mem, 26, 0
        ADDB      SP,#4                 ; [CPU_ARAU] 
	.dwcfi	cfa_offset, -6
$C$DW$24	.dwtag  DW_TAG_variable
	.dwattr $C$DW$24, DW_AT_name("modelBaseRate")
	.dwattr $C$DW$24, DW_AT_type(*$C$DW$T$16)
	.dwattr $C$DW$24, DW_AT_location[DW_OP_breg20 -2]

$C$DW$25	.dwtag  DW_TAG_variable
	.dwattr $C$DW$25, DW_AT_name("systemClock")
	.dwattr $C$DW$25, DW_AT_type(*$C$DW$T$16)
	.dwattr $C$DW$25, DW_AT_location[DW_OP_breg20 -4]

	.dwpsn	file "C:/Users/JakubSmykla/Documents/GitHub/OTMR_Collector/untitledf28388_ert_rtw/ert_main.c",line 42,column 23,is_stmt,isa 0
;----------------------------------------------------------------------
;  42 | float modelBaseRate = 1.0;                                             
;----------------------------------------------------------------------
        MOVIZ     R0H,#16256            ; [CPU_FPU] |42| 
        MOV32     *-SP[2],R0H           ; [CPU_FPU] |42| 
	.dwpsn	file "C:/Users/JakubSmykla/Documents/GitHub/OTMR_Collector/untitledf28388_ert_rtw/ert_main.c",line 43,column 21,is_stmt,isa 0
;----------------------------------------------------------------------
;  43 | float systemClock = 200;                                               
;----------------------------------------------------------------------
        MOVIZ     R0H,#17224            ; [CPU_FPU] |43| 
        MOV32     *-SP[4],R0H           ; [CPU_FPU] |43| 
	.dwpsn	file "C:/Users/JakubSmykla/Documents/GitHub/OTMR_Collector/untitledf28388_ert_rtw/ert_main.c",line 46,column 3,is_stmt,isa 0
;----------------------------------------------------------------------
;  46 | stopRequested = false;                                                 
;----------------------------------------------------------------------
        MOVW      DP,#||stopRequested|| ; [CPU_ARAU] 
        MOV       @||stopRequested||,#0 ; [CPU_ALU] |46| 
	.dwpsn	file "C:/Users/JakubSmykla/Documents/GitHub/OTMR_Collector/untitledf28388_ert_rtw/ert_main.c",line 47,column 3,is_stmt,isa 0
;----------------------------------------------------------------------
;  47 | runModel = false;                                                      
;----------------------------------------------------------------------
        MOV       @||runModel||,#0      ; [CPU_ALU] |47| 
	.dwpsn	file "C:/Users/JakubSmykla/Documents/GitHub/OTMR_Collector/untitledf28388_ert_rtw/ert_main.c",line 48,column 3,is_stmt,isa 0
;----------------------------------------------------------------------
;  48 | c2000_flash_init();                                                    
;----------------------------------------------------------------------
$C$DW$26	.dwtag  DW_TAG_TI_branch
	.dwattr $C$DW$26, DW_AT_low_pc(0x00)
	.dwattr $C$DW$26, DW_AT_name("c2000_flash_init")
	.dwattr $C$DW$26, DW_AT_TI_call

        LCR       #||c2000_flash_init|| ; [CPU_ALU] |48| 
        ; call occurs [#||c2000_flash_init||] ; [] |48| 
	.dwpsn	file "C:/Users/JakubSmykla/Documents/GitHub/OTMR_Collector/untitledf28388_ert_rtw/ert_main.c",line 49,column 3,is_stmt,isa 0
;----------------------------------------------------------------------
;  49 | init_board();                                                          
;  51 | #ifdef MW_EXEC_PROFILER_ON                                             
;  53 | config_profilerTimer();                                                
;  55 | #endif                                                                 
;  57 | ;                                                                      
;----------------------------------------------------------------------
$C$DW$27	.dwtag  DW_TAG_TI_branch
	.dwattr $C$DW$27, DW_AT_low_pc(0x00)
	.dwattr $C$DW$27, DW_AT_name("init_board")
	.dwattr $C$DW$27, DW_AT_TI_call

        LCR       #||init_board||       ; [CPU_ALU] |49| 
        ; call occurs [#||init_board||] ; [] |49| 
	.dwpsn	file "C:/Users/JakubSmykla/Documents/GitHub/OTMR_Collector/untitledf28388_ert_rtw/ert_main.c",line 58,column 3,is_stmt,isa 0
;----------------------------------------------------------------------
;  58 | rtmSetErrorStatus(untitledf28388_M, 0);                                
;----------------------------------------------------------------------
        MOVW      DP,#||untitledf28388_M|| ; [CPU_ARAU] 
        MOVL      XAR4,@||untitledf28388_M|| ; [CPU_ALU] |58| 
        MOVB      ACC,#0                ; [CPU_ALU] |58| 
        MOVL      *+XAR4[0],ACC         ; [CPU_ALU] |58| 
	.dwpsn	file "C:/Users/JakubSmykla/Documents/GitHub/OTMR_Collector/untitledf28388_ert_rtw/ert_main.c",line 59,column 3,is_stmt,isa 0
;----------------------------------------------------------------------
;  59 | untitledf28388_initialize();                                           
;----------------------------------------------------------------------
$C$DW$28	.dwtag  DW_TAG_TI_branch
	.dwattr $C$DW$28, DW_AT_low_pc(0x00)
	.dwattr $C$DW$28, DW_AT_name("untitledf28388_initialize")
	.dwattr $C$DW$28, DW_AT_TI_call

        LCR       #||untitledf28388_initialize|| ; [CPU_ALU] |59| 
        ; call occurs [#||untitledf28388_initialize||] ; [] |59| 
	.dwpsn	file "C:/Users/JakubSmykla/Documents/GitHub/OTMR_Collector/untitledf28388_ert_rtw/ert_main.c",line 60,column 3,is_stmt,isa 0
;----------------------------------------------------------------------
;  60 | globalInterruptDisable();                                              
;----------------------------------------------------------------------
$C$DW$29	.dwtag  DW_TAG_TI_branch
	.dwattr $C$DW$29, DW_AT_low_pc(0x00)
	.dwattr $C$DW$29, DW_AT_name("globalInterruptDisable")
	.dwattr $C$DW$29, DW_AT_TI_call

        LCR       #||globalInterruptDisable|| ; [CPU_ALU] |60| 
        ; call occurs [#||globalInterruptDisable||] ; [] |60| 
	.dwpsn	file "C:/Users/JakubSmykla/Documents/GitHub/OTMR_Collector/untitledf28388_ert_rtw/ert_main.c",line 61,column 3,is_stmt,isa 0
;----------------------------------------------------------------------
;  61 | configureTimer0(modelBaseRate, systemClock);                           
;----------------------------------------------------------------------
        MOV32     R0H,*-SP[2]           ; [CPU_FPU] |61| 
        MOV32     R1H,*-SP[4]           ; [CPU_FPU] |61| 
$C$DW$30	.dwtag  DW_TAG_TI_branch
	.dwattr $C$DW$30, DW_AT_low_pc(0x00)
	.dwattr $C$DW$30, DW_AT_name("configureTimer0")
	.dwattr $C$DW$30, DW_AT_TI_call

        LCR       #||configureTimer0||  ; [CPU_ALU] |61| 
        ; call occurs [#||configureTimer0||] ; [] |61| 
	.dwpsn	file "C:/Users/JakubSmykla/Documents/GitHub/OTMR_Collector/untitledf28388_ert_rtw/ert_main.c",line 62,column 3,is_stmt,isa 0
;----------------------------------------------------------------------
;  62 | runModel =                                                             
;  63 |   rtmGetErrorStatus(untitledf28388_M) == (NULL);                       
;----------------------------------------------------------------------
        MOVW      DP,#||untitledf28388_M|| ; [CPU_ARAU] 
        MOVL      XAR4,@||untitledf28388_M|| ; [CPU_ALU] |62| 
        MOVB      XAR6,#0               ; [CPU_ALU] |62| 
        MOVL      ACC,*+XAR4[0]         ; [CPU_ALU] |62| 
        B         ||$C$L3||,NEQ         ; [CPU_ALU] |62| 
        ; branchcc occurs ; [] |62| 
        MOVB      XAR6,#1               ; [CPU_ALU] |62| 
||$C$L3||:    
        MOVW      DP,#||runModel||      ; [CPU_ARAU] 
        MOV       @||runModel||,AR6     ; [CPU_ALU] |62| 
	.dwpsn	file "C:/Users/JakubSmykla/Documents/GitHub/OTMR_Collector/untitledf28388_ert_rtw/ert_main.c",line 64,column 3,is_stmt,isa 0
;----------------------------------------------------------------------
;  64 | enableTimer0Interrupt();                                               
;----------------------------------------------------------------------
$C$DW$31	.dwtag  DW_TAG_TI_branch
	.dwattr $C$DW$31, DW_AT_low_pc(0x00)
	.dwattr $C$DW$31, DW_AT_name("enableTimer0Interrupt")
	.dwattr $C$DW$31, DW_AT_TI_call

        LCR       #||enableTimer0Interrupt|| ; [CPU_ALU] |64| 
        ; call occurs [#||enableTimer0Interrupt||] ; [] |64| 
	.dwpsn	file "C:/Users/JakubSmykla/Documents/GitHub/OTMR_Collector/untitledf28388_ert_rtw/ert_main.c",line 65,column 3,is_stmt,isa 0
;----------------------------------------------------------------------
;  65 | globalInterruptEnable();                                               
;----------------------------------------------------------------------
$C$DW$32	.dwtag  DW_TAG_TI_branch
	.dwattr $C$DW$32, DW_AT_low_pc(0x00)
	.dwattr $C$DW$32, DW_AT_name("globalInterruptEnable")
	.dwattr $C$DW$32, DW_AT_TI_call

        LCR       #||globalInterruptEnable|| ; [CPU_ALU] |65| 
        ; call occurs [#||globalInterruptEnable||] ; [] |65| 
	.dwpsn	file "C:/Users/JakubSmykla/Documents/GitHub/OTMR_Collector/untitledf28388_ert_rtw/ert_main.c",line 66,column 3,is_stmt,isa 0
;----------------------------------------------------------------------
;  66 | while (runModel) {                                                     
;----------------------------------------------------------------------
        MOVW      DP,#||runModel||      ; [CPU_ARAU] 
        MOV       AL,@||runModel||      ; [CPU_ALU] |66| 
        B         ||$C$L7||,EQ          ; [CPU_ALU] |66| 
        ; branchcc occurs ; [] |66| 
||$C$L4||:    
	.dwpsn	file "C:/Users/JakubSmykla/Documents/GitHub/OTMR_Collector/untitledf28388_ert_rtw/ert_main.c",line 67,column 5,is_stmt,isa 0
;----------------------------------------------------------------------
;  67 | stopRequested = !(                                                     
;  68 |                   rtmGetErrorStatus(untitledf28388_M) == (NULL));      
;----------------------------------------------------------------------
        MOVW      DP,#||untitledf28388_M|| ; [CPU_ARAU] 
        MOVL      XAR4,@||untitledf28388_M|| ; [CPU_ALU] |67| 
        MOVB      XAR7,#0               ; [CPU_ALU] |67| 
        MOVB      XAR6,#0               ; [CPU_ALU] |67| 
        MOVL      ACC,*+XAR4[0]         ; [CPU_ALU] |67| 
        B         ||$C$L5||,NEQ         ; [CPU_ALU] |67| 
        ; branchcc occurs ; [] |67| 
        MOVB      XAR6,#1               ; [CPU_ALU] |67| 
||$C$L5||:    
        MOV       AL,AR6                ; [CPU_ALU] 
        B         ||$C$L6||,NEQ         ; [CPU_ALU] |67| 
        ; branchcc occurs ; [] |67| 
        MOVB      XAR7,#1               ; [CPU_ALU] |67| 
||$C$L6||:    
        MOVW      DP,#||stopRequested|| ; [CPU_ARAU] 
        MOV       @||stopRequested||,AR7 ; [CPU_ALU] |67| 
	.dwpsn	file "C:/Users/JakubSmykla/Documents/GitHub/OTMR_Collector/untitledf28388_ert_rtw/ert_main.c",line 66,column 3,is_stmt,isa 0
        MOV       AL,@||runModel||      ; [CPU_ALU] |66| 
        B         ||$C$L4||,NEQ         ; [CPU_ALU] |66| 
        ; branchcc occurs ; [] |66| 
||$C$L7||:    
	.dwpsn	file "C:/Users/JakubSmykla/Documents/GitHub/OTMR_Collector/untitledf28388_ert_rtw/ert_main.c",line 74,column 3,is_stmt,isa 0
;----------------------------------------------------------------------
;  74 | untitledf28388_terminate();                                            
;----------------------------------------------------------------------
$C$DW$33	.dwtag  DW_TAG_TI_branch
	.dwattr $C$DW$33, DW_AT_low_pc(0x00)
	.dwattr $C$DW$33, DW_AT_name("untitledf28388_terminate")
	.dwattr $C$DW$33, DW_AT_TI_call

        LCR       #||untitledf28388_terminate|| ; [CPU_ALU] |74| 
        ; call occurs [#||untitledf28388_terminate||] ; [] |74| 
	.dwpsn	file "C:/Users/JakubSmykla/Documents/GitHub/OTMR_Collector/untitledf28388_ert_rtw/ert_main.c",line 75,column 3,is_stmt,isa 0
;----------------------------------------------------------------------
;  75 | globalInterruptDisable();                                              
;----------------------------------------------------------------------
$C$DW$34	.dwtag  DW_TAG_TI_branch
	.dwattr $C$DW$34, DW_AT_low_pc(0x00)
	.dwattr $C$DW$34, DW_AT_name("globalInterruptDisable")
	.dwattr $C$DW$34, DW_AT_TI_call

        LCR       #||globalInterruptDisable|| ; [CPU_ALU] |75| 
        ; call occurs [#||globalInterruptDisable||] ; [] |75| 
	.dwpsn	file "C:/Users/JakubSmykla/Documents/GitHub/OTMR_Collector/untitledf28388_ert_rtw/ert_main.c",line 76,column 3,is_stmt,isa 0
;----------------------------------------------------------------------
;  76 | return 0;                                                              
;----------------------------------------------------------------------
        MOVB      AL,#0                 ; [CPU_ALU] |76| 
	.dwpsn	file "C:/Users/JakubSmykla/Documents/GitHub/OTMR_Collector/untitledf28388_ert_rtw/ert_main.c",line 77,column 1,is_stmt,isa 0
        SUBB      SP,#4                 ; [CPU_ARAU] 
	.dwcfi	cfa_offset, -2
$C$DW$35	.dwtag  DW_TAG_TI_branch
	.dwattr $C$DW$35, DW_AT_low_pc(0x00)
	.dwattr $C$DW$35, DW_AT_TI_return

        LRETR     ; [CPU_ALU] 
        ; return occurs ; [] 
	.dwattr $C$DW$23, DW_AT_TI_end_file("C:/Users/JakubSmykla/Documents/GitHub/OTMR_Collector/untitledf28388_ert_rtw/ert_main.c")
	.dwattr $C$DW$23, DW_AT_TI_end_line(0x4d)
	.dwattr $C$DW$23, DW_AT_TI_end_column(0x01)
	.dwendentry
	.dwendtag $C$DW$23

;**************************************************************
;* UNDEFINED EXTERNAL REFERENCES                              *
;**************************************************************
	.global	||enableTimer0Interrupt||
	.global	||untitledf28388_step||
	.global	||c2000_flash_init||
	.global	||init_board||
	.global	||untitledf28388_initialize||
	.global	||globalInterruptDisable||
	.global	||configureTimer0||
	.global	||globalInterruptEnable||
	.global	||untitledf28388_terminate||
	.global	||disableTimer0Interrupt||
	.global	||untitledf28388_M||

;***************************************************************
;* BUILD ATTRIBUTES                                            *
;***************************************************************
	.battr "c28xabi", Tag_File, 1, Tag_float_args(1)
	.battr "c28xabi", Tag_File, 1, Tag_double_args(0)
	.dwattr $C$DW$CU, DW_AT_language(DW_LANG_C)

;***************************************************************
;* DWARF CIE ENTRIES                                           *
;***************************************************************

$C$DW$CIE	.dwcie 26
	.dwcfi	cfa_register, 20
	.dwcfi	cfa_offset, 0
	.dwcfi	same_value, 28
	.dwcfi	same_value, 6
	.dwcfi	same_value, 7
	.dwcfi	same_value, 8
	.dwcfi	same_value, 9
	.dwcfi	same_value, 10
	.dwcfi	same_value, 11
	.dwcfi	same_value, 59
	.dwcfi	same_value, 63
	.dwcfi	same_value, 67
	.dwcfi	same_value, 71
	.dwendentry
	.dwendtag $C$DW$CU


;***************************************************************
;* TYPE INFORMATION                                            *
;***************************************************************

$C$DW$TU$2	.dwtag  DW_TAG_type_unit
	.dwmtype  $C$DW$T$2
$C$DW$T$2	.dwtag  DW_TAG_unspecified_type
	.dwattr $C$DW$T$2, DW_AT_name("void")

	.dwendtag $C$DW$TU$2


$C$DW$TU$4	.dwtag  DW_TAG_type_unit
	.dwmtype  $C$DW$T$4
$C$DW$T$4	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$4, DW_AT_encoding(DW_ATE_boolean)
	.dwattr $C$DW$T$4, DW_AT_name("bool")
	.dwattr $C$DW$T$4, DW_AT_byte_size(0x01)

	.dwendtag $C$DW$TU$4


$C$DW$TU$5	.dwtag  DW_TAG_type_unit
	.dwmtype  $C$DW$T$5
$C$DW$T$5	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$5, DW_AT_encoding(DW_ATE_signed_char)
	.dwattr $C$DW$T$5, DW_AT_name("signed char")
	.dwattr $C$DW$T$5, DW_AT_byte_size(0x01)

	.dwendtag $C$DW$TU$5


$C$DW$TU$6	.dwtag  DW_TAG_type_unit
	.dwmtype  $C$DW$T$6
$C$DW$T$6	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$6, DW_AT_encoding(DW_ATE_unsigned_char)
	.dwattr $C$DW$T$6, DW_AT_name("unsigned char")
	.dwattr $C$DW$T$6, DW_AT_byte_size(0x01)

	.dwendtag $C$DW$TU$6


$C$DW$TU$7	.dwtag  DW_TAG_type_unit
	.dwmtype  $C$DW$T$7
$C$DW$T$7	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$7, DW_AT_encoding(DW_ATE_signed_char)
	.dwattr $C$DW$T$7, DW_AT_name("wchar_t")
	.dwattr $C$DW$T$7, DW_AT_byte_size(0x02)

	.dwendtag $C$DW$TU$7


$C$DW$TU$8	.dwtag  DW_TAG_type_unit
	.dwmtype  $C$DW$T$8
$C$DW$T$8	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$8, DW_AT_encoding(DW_ATE_signed)
	.dwattr $C$DW$T$8, DW_AT_name("short")
	.dwattr $C$DW$T$8, DW_AT_byte_size(0x01)

	.dwendtag $C$DW$TU$8


$C$DW$TU$9	.dwtag  DW_TAG_type_unit
	.dwmtype  $C$DW$T$9
$C$DW$T$9	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$9, DW_AT_encoding(DW_ATE_unsigned)
	.dwattr $C$DW$T$9, DW_AT_name("unsigned short")
	.dwattr $C$DW$T$9, DW_AT_byte_size(0x01)

	.dwendtag $C$DW$TU$9


$C$DW$TU$10	.dwtag  DW_TAG_type_unit
	.dwmtype  $C$DW$T$10
$C$DW$T$10	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$10, DW_AT_encoding(DW_ATE_signed)
	.dwattr $C$DW$T$10, DW_AT_name("int")
	.dwattr $C$DW$T$10, DW_AT_byte_size(0x01)

	.dwendtag $C$DW$TU$10


$C$DW$TU$29	.dwtag  DW_TAG_type_unit
	.dwmtype  $C$DW$T$29
$C$DW$36	.dwtag  DW_TAG_TI_far_type
	.dwattr $C$DW$36, DW_AT_type(*$C$DW$T$10)

$C$DW$T$29	.dwtag  DW_TAG_volatile_type
	.dwattr $C$DW$T$29, DW_AT_type(*$C$DW$36)

	.dwendtag $C$DW$TU$29


$C$DW$TU$11	.dwtag  DW_TAG_type_unit
	.dwmtype  $C$DW$T$11
$C$DW$T$11	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$11, DW_AT_encoding(DW_ATE_unsigned)
	.dwattr $C$DW$T$11, DW_AT_name("unsigned int")
	.dwattr $C$DW$T$11, DW_AT_byte_size(0x01)

	.dwendtag $C$DW$TU$11


$C$DW$TU$30	.dwtag  DW_TAG_type_unit
	.dwmtype  $C$DW$T$30
$C$DW$T$30	.dwtag  DW_TAG_typedef
	.dwattr $C$DW$T$30, DW_AT_name("boolean_T")
	.dwattr $C$DW$T$30, DW_AT_type(*$C$DW$T$11)
	.dwattr $C$DW$T$30, DW_AT_decl_file("C:\Users\JakubSmykla\Documents\GitHub\OTMR_Collector\untitledf28388_ert_rtw\rtwtypes.h")
	.dwattr $C$DW$T$30, DW_AT_decl_line(0x48)
	.dwattr $C$DW$T$30, DW_AT_decl_column(0x16)

	.dwendtag $C$DW$TU$30


$C$DW$TU$31	.dwtag  DW_TAG_type_unit
	.dwmtype  $C$DW$T$31
$C$DW$37	.dwtag  DW_TAG_TI_far_type
	.dwattr $C$DW$37, DW_AT_type(*$C$DW$T$30)

$C$DW$T$31	.dwtag  DW_TAG_volatile_type
	.dwattr $C$DW$T$31, DW_AT_type(*$C$DW$37)

	.dwendtag $C$DW$TU$31


$C$DW$TU$12	.dwtag  DW_TAG_type_unit
	.dwmtype  $C$DW$T$12
$C$DW$T$12	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$12, DW_AT_encoding(DW_ATE_signed)
	.dwattr $C$DW$T$12, DW_AT_name("long")
	.dwattr $C$DW$T$12, DW_AT_byte_size(0x02)

	.dwendtag $C$DW$TU$12


$C$DW$TU$13	.dwtag  DW_TAG_type_unit
	.dwmtype  $C$DW$T$13
$C$DW$T$13	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$13, DW_AT_encoding(DW_ATE_unsigned)
	.dwattr $C$DW$T$13, DW_AT_name("unsigned long")
	.dwattr $C$DW$T$13, DW_AT_byte_size(0x02)

	.dwendtag $C$DW$TU$13


$C$DW$TU$14	.dwtag  DW_TAG_type_unit
	.dwmtype  $C$DW$T$14
$C$DW$T$14	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$14, DW_AT_encoding(DW_ATE_signed)
	.dwattr $C$DW$T$14, DW_AT_name("long long")
	.dwattr $C$DW$T$14, DW_AT_byte_size(0x04)

	.dwendtag $C$DW$TU$14


$C$DW$TU$15	.dwtag  DW_TAG_type_unit
	.dwmtype  $C$DW$T$15
$C$DW$T$15	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$15, DW_AT_encoding(DW_ATE_unsigned)
	.dwattr $C$DW$T$15, DW_AT_name("unsigned long long")
	.dwattr $C$DW$T$15, DW_AT_byte_size(0x04)

	.dwendtag $C$DW$TU$15


$C$DW$TU$16	.dwtag  DW_TAG_type_unit
	.dwmtype  $C$DW$T$16
$C$DW$T$16	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$16, DW_AT_encoding(DW_ATE_float)
	.dwattr $C$DW$T$16, DW_AT_name("float")
	.dwattr $C$DW$T$16, DW_AT_byte_size(0x02)

	.dwendtag $C$DW$TU$16


$C$DW$TU$17	.dwtag  DW_TAG_type_unit
	.dwmtype  $C$DW$T$17
$C$DW$T$17	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$17, DW_AT_encoding(DW_ATE_float)
	.dwattr $C$DW$T$17, DW_AT_name("double")
	.dwattr $C$DW$T$17, DW_AT_byte_size(0x04)

	.dwendtag $C$DW$TU$17


$C$DW$TU$18	.dwtag  DW_TAG_type_unit
	.dwmtype  $C$DW$T$18
$C$DW$T$18	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$18, DW_AT_encoding(DW_ATE_float)
	.dwattr $C$DW$T$18, DW_AT_name("long double")
	.dwattr $C$DW$T$18, DW_AT_byte_size(0x04)

	.dwendtag $C$DW$TU$18


$C$DW$TU$20	.dwtag  DW_TAG_type_unit
	.dwmtype  $C$DW$T$20
$C$DW$T$20	.dwtag  DW_TAG_typedef
	.dwattr $C$DW$T$20, DW_AT_name("char_T")
	.dwattr $C$DW$T$20, DW_AT_type(*$C$DW$T$5)
	.dwattr $C$DW$T$20, DW_AT_decl_file("C:\Users\JakubSmykla\Documents\GitHub\OTMR_Collector\untitledf28388_ert_rtw\rtwtypes.h")
	.dwattr $C$DW$T$20, DW_AT_decl_line(0x4d)
	.dwattr $C$DW$T$20, DW_AT_decl_column(0x0e)

	.dwendtag $C$DW$TU$20


$C$DW$TU$21	.dwtag  DW_TAG_type_unit
	.dwmtype  $C$DW$T$21
$C$DW$38	.dwtag  DW_TAG_TI_far_type
	.dwattr $C$DW$38, DW_AT_type(*$C$DW$T$20)

$C$DW$T$21	.dwtag  DW_TAG_const_type
	.dwattr $C$DW$T$21, DW_AT_type(*$C$DW$38)

	.dwendtag $C$DW$TU$21


$C$DW$TU$22	.dwtag  DW_TAG_type_unit
	.dwmtype  $C$DW$T$22
$C$DW$T$22	.dwtag  DW_TAG_pointer_type
	.dwattr $C$DW$T$22, DW_AT_type(*$C$DW$T$21)
	.dwattr $C$DW$T$22, DW_AT_address_class(0x20)

	.dwendtag $C$DW$TU$22


$C$DW$TU$32	.dwtag  DW_TAG_type_unit
	.dwmtype  $C$DW$T$32
$C$DW$T$32	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$32, DW_AT_encoding(DW_ATE_unsigned_char)
	.dwattr $C$DW$T$32, DW_AT_name("unsigned char")
	.dwattr $C$DW$T$32, DW_AT_byte_size(0x01)

	.dwendtag $C$DW$TU$32


$C$DW$TU$23	.dwtag  DW_TAG_type_unit
	.dwmtype  $C$DW$T$23

$C$DW$T$23	.dwtag  DW_TAG_structure_type
	.dwattr $C$DW$T$23, DW_AT_name("tag_RTM_untitledf28388_T")
	.dwattr $C$DW$T$23, DW_AT_byte_size(0x02)
$C$DW$39	.dwtag  DW_TAG_member
	.dwattr $C$DW$39, DW_AT_type(*$C$DW$T$22)
	.dwattr $C$DW$39, DW_AT_name("errorStatus")
	.dwattr $C$DW$39, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$39, DW_AT_decl_file("C:\Users\JakubSmykla\Documents\GitHub\OTMR_Collector\untitledf28388_ert_rtw\untitledf28388.h")
	.dwattr $C$DW$39, DW_AT_decl_line(0x3e)
	.dwattr $C$DW$39, DW_AT_decl_column(0x11)

	.dwattr $C$DW$T$23, DW_AT_decl_file("C:\Users\JakubSmykla\Documents\GitHub\OTMR_Collector\untitledf28388_ert_rtw\untitledf28388.h")
	.dwattr $C$DW$T$23, DW_AT_decl_line(0x3d)
	.dwattr $C$DW$T$23, DW_AT_decl_column(0x08)
	.dwendtag $C$DW$T$23

	.dwendtag $C$DW$TU$23


$C$DW$TU$35	.dwtag  DW_TAG_type_unit
	.dwmtype  $C$DW$T$35
$C$DW$T$35	.dwtag  DW_TAG_typedef
	.dwattr $C$DW$T$35, DW_AT_name("RT_MODEL_untitledf28388_T")
	.dwattr $C$DW$T$35, DW_AT_type(*$C$DW$T$23)
	.dwattr $C$DW$T$35, DW_AT_decl_file("C:\Users\JakubSmykla\Documents\GitHub\OTMR_Collector\untitledf28388_ert_rtw\untitledf28388_types.h")
	.dwattr $C$DW$T$35, DW_AT_decl_line(0x1a)
	.dwattr $C$DW$T$35, DW_AT_decl_column(0x29)

	.dwendtag $C$DW$TU$35


$C$DW$TU$36	.dwtag  DW_TAG_type_unit
	.dwmtype  $C$DW$T$36
$C$DW$T$36	.dwtag  DW_TAG_pointer_type
	.dwattr $C$DW$T$36, DW_AT_type(*$C$DW$T$35)
	.dwattr $C$DW$T$36, DW_AT_address_class(0x20)

	.dwendtag $C$DW$TU$36


$C$DW$TU$37	.dwtag  DW_TAG_type_unit
	.dwmtype  $C$DW$T$37
$C$DW$40	.dwtag  DW_TAG_TI_far_type
	.dwattr $C$DW$40, DW_AT_type(*$C$DW$T$36)

$C$DW$T$37	.dwtag  DW_TAG_const_type
	.dwattr $C$DW$T$37, DW_AT_type(*$C$DW$40)

	.dwendtag $C$DW$TU$37

